package enumerators

type CloneMethod string

var (
	SSHClone  CloneMethod = "ssh"
	HTTPClone CloneMethod = "http"
)

type EnumeratorConfig struct {
	ApiUrl      string      `yaml:"api_url"`
	Username    string      `yaml:"username"`
	Password    string      `yaml:"password"`
	CloneMethod CloneMethod `yaml:"clone_method"`
}
type RepositoryEndpoint struct {
	Url      string
	FullName string
	Pull     bool
	Push     bool
}

type Enumerator func(chan *RepositoryEndpoint) error
